XkbIgnoreExtension(3)

NAME
XkbIgnoreExtension - Prevents core X library keyboard functions from using the X Keyboard Extension

SYNOPSIS
Bool XkbIgnoreExtension ( ignore )
      Bool *ignore;

ARGUMENTS

ignore
    True means ignore the extension

DESCRIPTION

If a server supports the Xkb extension, the X library normally implements preXkb keyboard functions using the Xkb keyboard description and state. The server Xkb keyboard state may differ from the preXkb keyboard state. This difference does not affect most clients, but there are exceptions. To allow these clients to work properly, you may instruct the extension not to use Xkb functionality. Call XkbIgnoreExtension to prevent core X library keyboard functions from using the X Keyboard Extension. You must call XkbIgnoreExtension before you open a server connection; Xkb does not provide a way to enable or disable use of the extension once a connection is established. XkbIgnoreExtension tells the X library whether to use the X Keyboard Extension on any subsequently opened X display connections. If ignore is True, the library does not initialize the Xkb extension when it opens a new display. This forces the X server to use compatibility mode and communicate with the client using only core protocol requests and events. If ignore is False, the library treats subsequent calls to XOpenDisplay normally and uses Xkb extension requests, events, and state. Do not explicitly use Xkb on a connection for which it is disabled. XkbIgnoreExtension returns False if it was unable to apply the ignore request.

RETURN VALUES

True
    The XkbIgnoreExtension returns True if

False
    The XkbIgnoreExtension function returns False if it was unable to apply the ignore request.

SEE ALSO
XOpenDisplay(3X11)